%define oname   grpc

Name:       ruby-%{oname}
Version:    1.27.0
Release:    %mkrel 1
Summary:    GRPC system in Ruby
License:    BSD
Group:      Development/Ruby
URL:        https://github.com/google/grpc/tree/master/src/ruby
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
# Disable stripping of the .so
Patch0:     nostrip.patch
# Fix one of the example code, to be able to test
#Patch1:     grpc-1.4.5-example.patch
Patch2:      link.patch
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: libstdc++-static-devel

%description
Send RPCs from Ruby using GRPC.


%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install
mkdir examples
cp -a %{buildroot}%{gem_instdir}/src/ruby/bin/* examples
cp -a %{buildroot}%{gem_instdir}/src/ruby/spec/ .
rm -rf %{buildroot}%{gem_instdir}/third_party
rm -rf %{buildroot}%{gem_instdir}/src/core
rm -rf %{buildroot}%{gem_instdir}/src/ruby/ext

%files
%{gem_instdir}
%{gem_extdir_mri}
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc examples
%doc spec


%changelog
* Sun Mar 22 2020 pterjan <pterjan> 1.27.0-1.mga8
+ Revision: 1559032
- Update to 1.27.0
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Nov 07 2018 pterjan <pterjan> 1.16.0-1.mga7
+ Revision: 1328848
- Update to 1.16.0 and fix build with recent gcc
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Thu May 31 2018 pterjan <pterjan> 1.12.0-1.mga7
+ Revision: 1233338
- Update to 1.12.0

* Thu Apr 26 2018 pterjan <pterjan> 1.11.0-1.mga7
+ Revision: 1222613
- Update to 1.11.0

* Mon Apr 02 2018 pterjan <pterjan> 1.10.0-1.mga7
+ Revision: 1214561
- Update to 1.10.0
- Rebuild for Ruby 2.5

* Fri Aug 18 2017 pterjan <pterjan> 1.4.5-1.mga7
+ Revision: 1141440
- Disable stripping and fix an example
- Update to 1.4.5
- Rebuild for new Ruby

* Mon May 09 2016 pterjan <pterjan> 0.13.1-1.mga6
+ Revision: 1011132
- imported package ruby-grpc

